:root {
    --retni-400: 'Retni Sans Medium', 'sans-serif';
    --retni-700: 'Retni Sans Bold', 'sans-serif';
    --font-main: 'Roboto', 'sans-serif';
    --color-green: #A8C51B;
}

.logotype-header{
    max-width: 152px;
}

.noscroll{
    overflow: hidden;
}

.header-top {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 8px 0 17px 0;
}

.header-top__works {
    display: flex;
    gap: 24px;
}

.header-top__social {
    display: flex;
    gap: 16px;
}

.header-top__works-address {
    color: #111827;
    font-family: var(--font-main);
    font-size: 15px;
    font-style: normal;
    font-weight: 400;
    line-height: 22px;
}

.header-top__works-worktime {
    color: #9299A5;
    font-family: var(--font-main);
    font-size: 15px;
    font-style: normal;
    font-weight: 400;
    line-height: 22px;
}

.header-top__social-email, .header-top__social-phone {
    display: flex;
    align-items: center;
}

.header-top__social-email a {
    color: #111827;
    font-family: var(--font-main);
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 22px;


    text-decoration: none;
}

.header-top__social-phone a {

    font-family: var(--font-main);
    color: var(--color-green);
    font-size: 24px;
    font-style: normal;
    font-weight: 700;
    line-height: 22px;


    text-decoration: none;
}

.header-top__social-phone a .phone_code {
    color: #111827;
}

.header-middle__logo {
    display: flex;
    align-items: flex-end;
    gap: 17px;
}

.header-top__social-vk {
    & svg path {
        transition: 0.3s;
    }

    & svg rect {
        transition: 0.3s;
    }

    &:hover path {
        fill: #EEF6FF;
    }

    &:hover rect {
        fill: #07F;
    }
}

.header-top__social-tg {
    & svg path {
        transition: 0.3s;
    }

    & svg rect {
        transition: 0.3s;
    }

    &:hover path {
        fill: #EEF6FF;
    }

    &:hover rect {
        fill: #28A8EA;
    }
}

.header-middle__logo-description {
    color: #9299A5;
    font-family: var(--font-main);
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 18px;
    width: 150px;
    margin-bottom: 0;
}

.header-middle {
    display: flex;
    padding: 7px 0 28px 0;
    justify-content: space-between;
}

.header-middle__left {
    display: flex;
    gap: 32px;
}

.header-middle__btns {
    display: flex;
    gap: 8px;
}

.btn-default__custom {
    color: #FFF;
    font-family: var(--font-main);
    font-size: 15px;
    font-style: normal;
    font-weight: 500;
    line-height: 22px;
    padding: 13px 24px;
    text-decoration: none;
    height: 48px;

    border-radius: 64px;
    background: var(--color-green);

    transition: 0.3s;

    &:hover {
        background: #8AA218;
    }
}

.callback-btn.btn-transparent__custom {
    width: unset;
    text-transform: unset;
}

.btn-transparent__custom {
    color: #0089B3;
    font-family: var(--font-main);
    font-size: 15px;
    font-style: normal;
    font-weight: 500;
    line-height: 22px;
    height: 48px;

    padding: 12px 24px;
    background: unset;
    border-radius: 64px;
    border: 2px solid #0089B3;

    transition: 0.3s;

    &:hover {
        border: 2px solid #005D79;
        color: #005D79;
    }
}

.header-top__social-icons {
    display: flex;
    gap: 8px;
}

.header-middle__btns-profile svg path, .header-middle__btns-profile svg rect {
    transition: 0.3s;
}

.header-middle__btns-profile svg:hover path, .header-middle__btns-profile svg:hover rect {
    stroke: #8AA218;
}

.header-wrapper {
    transition: top 0.3s;
    top: -100px;
}

.header--fixed {
    position: fixed;
    top: 0;
    background: white;
    z-index: 9;
    left: 0;
    width: 100%;

    box-shadow: 0 4px 30px 0 rgba(0, 0, 0, 0.06);
}

.header--fixed .header-middle {
    padding: 20px 0 28px 0;
}

.mobile-header {
    display: none;
}

.sidebar-menu__mobile {
    display: none;
}

.mobile-header__search {
    display: none;
}


.vk_link {
    & svg path {
        transition: 0.3s;
    }

    & svg rect {
        transition: 0.3s;
    }

    &:hover path {
        fill: #EEF6FF;
    }

    &:hover rect {
        fill: #07F;
    }
}

.telegram_link {
    & svg path {
        transition: 0.3s;
    }

    & svg rect {
        transition: 0.3s;
    }

    &:hover path {
        fill: #EEF6FF;
    }

    &:hover rect {
        fill: #28A8EA;
    }
}

@media (max-width: 1255px) {

    .header-middle__search {
        max-width: 300px;
    }
}

@media (max-width: 991px) {
    .header--fixed {
        width: 100vw;
    }

    .header--fixed .container.mobile-header {
        padding: 16px 20px 16px 20px;
    }

    .mobile-header__search {
        display: flex;
    }

    .container.mobile-header {
        padding: 16px 20px 6px 20px;
    }

    .desktop-header {
        display: none;
    }

    .container.mobile-header:before {
        display: none;
    }

    .container.mobile-header:after {
        display: none;
    }

    .mobile-header {
        display: flex;
        justify-content: space-between;
        padding: 16px 0;
    }

    .mobile-header__icons {
        display: flex;
        flex-direction: row;
        gap: 10px;
    }

    .sidebar-menu__mobile {
        position: absolute;
        left: -9999px;
        display: flex;
        flex-direction: column;
        width: 100%;
        transition: 0.3s;
        background: white;
        z-index: 9;

        overflow: auto;
        height: 91vh;
    }

    .profile-link-burger {
        padding: 0 0 24px 0;
        margin: 32px 20px 0 20px;
        display: flex;
        gap: 12px;
        align-items: center;
        border-bottom: 1px solid #E9EBEF;
    }

    .mobile-header__icons-burger--active {
        left: 0;
    }

    .profile-link-burger__text {
        color: var(--color-green);
        font-family: var(--font-main);
        font-size: 18px;
        font-style: normal;
        font-weight: 500;
        line-height: 22px;
    }

    .sidebar-address__mobile {
        padding: 0 20px;
    }

    .phone-colored-mobile {

        color: #A8C51B;
        font-family: var(--font-main);
        font-size: 24px;
        font-style: normal;
        font-weight: 700;
        line-height: 22px;

        text-decoration: none;
    }

    .phone-colored-mobile .phone_code {
        color: #282828;
        font-family: var(--font-main);
        font-size: 24px;
        font-style: normal;
        font-weight: 700;
        line-height: 22px;
    }

    .sidebar-address__mobile-contact {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .sidebar-address__mobile .header-top__social-icons svg {
        width: 40px;
        height: 40px;
    }

    .sidebar-address__mobile-mail {
        margin-top: 14px;
    }

    .sidebar-address__mobile-mail a {
        color: #282828;
        font-family: var(--font-main);
        font-size: 15px;
        font-style: normal;
        font-weight: 400;
        line-height: 22px;
        text-decoration: none;
    }

    .sidebar-address__mobile-street {
        color: #282828;
        font-family: var(--font-main);
        font-size: 15px;
        font-style: normal;
        font-weight: 400;
        line-height: 22px;

        margin-top: 18px;
    }

    .sidebar-address__mobile-worktime {
        color: #5A616C;
        font-family: var(--font-main);
        font-size: 15px;
        font-style: normal;
        font-weight: 400;
        line-height: 22px;

        margin-top: 8px;
    }

    .sidebar-address__mobile {
        position: relative;
        padding: 32px 20px 16px 20px;
    }

    .sidebar-address__mobile::before {
        content: "";
        height: 1px;
        background: #E9EBEF;
        position: absolute;
        left: 20px;
        top: 0;
        width: calc(100% - 40px);
    }

    .sidebar-address__mobile-btns {
        display: flex;
        flex-direction: column;
        gap: 12px;
        margin-top: 32px;
    }

    .sidebar-address__mobile-btns a {
        text-align: center;
    }


    .mobile-header__icons-burger {
        cursor: pointer;
        transition: transform 0.3s ease;
    }

    .mobile-header__icons-burger path {
        transition: all 0.3s ease;
        transform-origin: center;
    }

    /* Верхняя палочка */
    .mobile-header__icons-burger path:nth-of-type(1) {
        transform-origin: 24px 18.5px;
    }

    /* Средняя палочка */
    .mobile-header__icons-burger path:nth-of-type(2) {
        opacity: 1;
        transition: opacity 0.2s ease;
    }

    /* Нижняя палочка */
    .mobile-header__icons-burger path:nth-of-type(3) {
        transform-origin: 24px 29.5px;
    }

    /* Состояние активного бургера */
    .mobile-header__icons--active .mobile-header__icons-burger path:nth-of-type(1) {
        transform: rotate(45deg) translate(4px, 4px);
    }

    .mobile-header__icons--active .mobile-header__icons-burger path:nth-of-type(2) {
        opacity: 0;
    }

    .mobile-header__icons--active .mobile-header__icons-burger path:nth-of-type(3) {
        transform: rotate(-45deg) translate(4px, -4px);
    }

    .mobile-footer__menu .footer-menu-list {
        border-bottom: unset;
        height: auto;
        gap: 16px;
        padding-bottom: 16px;
    }

    .mobile-footer__menu .footer-menu__item {
        width: unset;
    }

    .mobile-footer__menu .footer-menu__item .footer-menu__link {
        padding: 0;
    }


    .mobile-show.mobile-footer__menu-wrapper {
        display: flex;
        justify-content: space-between;
        border-bottom: 1px solid white;
    }

    div.footer-menu {
        padding-top: 16px;
    }

    .footer_links--first .useful-menu-list {
        row-gap: 18px;
    }

    #mobile-burger-menu{
        background: white;
    }
    .sidebar-address__mobile{
        background: white;
    }



    .mobile-header__logotype{
        max-width: 128px;
    }
}